class_create
Prev | Device Drivers Base | Next

## Name

class_create — create a struct class structure

## Synopsis

`struct class * class_create (` | struct module * | owner,
| const char * | name`)`;

## Arguments

`owner`

  pointer to the module that is to “own” this struct class

`name`

  pointer to a string for the name of this class.

## Description

This is used to create a struct class pointer that can then be used in calls to `class_device_create`.

Note, the pointer created here is to be destroyed when finished by making a call to `class_destroy`.

Prev | Up | Next
device_move | Home | class_destroy